> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all credentials for a user

> Returns a list of all credentials created for a specified user.



## OpenAPI

````yaml openapi/2025-09/embedded/embedded.yaml get /credentials/users/{userId}
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /credentials/users/{userId}:
    get:
      summary: Retrieve all credentials for a user
      description: Returns a list of all credentials created for a specified user.
      operationId: list-user-credentials
      parameters:
        - name: userId
          in: path
          description: The id of the currently logged in user
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - credentialId: 66fb066c3793749b64c214bc
                        type: shopify
                        name: Shopify alloy-sandbox.myshopify.com
                        createdAt: '2024-09-30T20:13:32.491Z'
                        updatedAt: '2024-09-30T20:13:32.522Z'
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        credentialId:
                          type: string
                          example: 63253068590a5f1d6cc9b635
                        type:
                          type: string
                          example: shopify
                        createdAt:
                          type: string
                          example: '2022-09-17T02:12:25.619Z'
                        updatedAt:
                          type: string
                          example: '2022-09-17T02:12:25.620Z'
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````